<template>
  <v-dialog persistent v-model="overlay" width="480">
    <v-card>
      <v-card-title>
        Synthétiseur modulaire
      </v-card-title>
      <v-card-text>
        <p>Bienvenue sur notre synthétiseur modulaire !</p>
        <p>Cette application vous permet de :</p>
        <p>
          <ul>
            <li>Créer des noeuds en cliquant sur les éléments souhaités dans le menu de Gauche</li>
            <li>Créer des connexions en effectuant un cliquer/glisser sur le port de départ, puis en déposant le lien sur le port d'arrivée</li>
            <li>Editer les paramètres d'un noeud en cliquant dessus</li>
            <li>Supprimer des connexions entre noeuds en cliquant dessus (elles s'affichent en rouge)</li>
          </ul>
        </p>
        <p>Une fois que vous aurez créé une source audio (oscillateur ou micro), une sortie audio et relié le tout, vous devriez entendre un premier son.</p>
        <p><v-icon>mdi-alert</v-icon><b>Attention, le son peut être très fort</b>, il est conseillé d'interposer un noeud de gain avec un gain à 0.1 avant de relier l'entrée à la sortie</p>
        <p><v-divider /></p>
        <p><v-icon>mdi-alert</v-icon>Cette application est encore en cours de développement, pour toute question ou tout problème rencontré contactez moi : vincent.courtois@coddity.com</p>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="primary" text @click="initialize()">Merci de ces précisions</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script type="ts">
  import { mapMutations } from "vuex"

  export default {
    name: "StartModal",
    data: () => ({
      overlay: true,
    }),
    methods: {
      ...mapMutations("audionodes", ["setContext"]),
      initialize() {
        this.setContext(new AudioContext());
        this.overlay = false;
      },
    }
  }
</script>